import metodosFetch from "../app/metodosFetch.js?v=1.0.0";

class Rol {
  constructor({ id, rol, tipo, fechaRegistro }) {
    this.id = id;
    this.rol = rol;
    this.tipo = tipo;
    this.fechaRegistro = fechaRegistro;
  }

  static async obtenerTodos() {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/rolController",
        parametros: {
          accion: "obtenerTodos",
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Rol;
